Skip to main content
POST
Post user message from a custom channel

Authorizations

token
string
query
required

A plaintext token to secure your server, specified at startup in the argument --auth-token thisismysecret

Path Parameters

custom_channel
string
required

The custom channel connector used for integration. They provide a URL where you can post and receive messages.

Example:

"my_custom_channel"

Body

application/json

The user message payload

sender
string

The sender ID

message
string

The message text

stream
boolean

Whether to use streaming response

input_channel
string

Input channel name

metadata
object

Additional metadata

Response

The message was processed successfully

messages
object[]
metadata
object

Additional metadata

conversation_id
string

The conversation ID

tracker_state
object

Conversation tracker which stores the conversation state.